<?php 
/**
 * Override or insert variables into the HTML templates.
 *
 * @param $vars
 *  A sequential array of variables to pass to the theme template.
 */
function bigdaddy_preprocess_html(&$vars) {

  /* HTML classes
  ---------------------------------------------------------------------- */
  // To add dynamically your own classes use $vars['classes_array'][] = 'my_class';
  
  // Optionally add the wireframes styles for the "Wireframes" theme setting.
  if (theme_get_setting('bigdaddy_wireframes')) {
    $vars['classes_array'][] = 'wireframes';
  }
  
  // Optionally add the prototype styles for the "Prototyping tool" theme setting.
  if (theme_get_setting('bigdaddy_css_prototyping')) {
    $vars['classes_array'][] = 'prototyping';
  }
  
  // Optionally add the grid-system styles for the "Grid System" theme setting.
  if (theme_get_setting('bigdaddy_grid_system')) {
    $vars['classes_array'][] = 'grid-system';
  }
  
  /* IE conditionnal stylesheets
  ---------------------------------------------------------------------- */
  
  /* --- For lte IE 8 --- */
  drupal_add_css(path_to_theme() . '/styles/master-ie.css', array('group' => CSS_THEME, 'browsers' => array('IE' => 'lte IE 8', '!IE' => FALSE), 'preprocess' => FALSE));
    
}

/**
 * Override or insert variables into the PAGE templates.
 *
 * @param $vars
 *  A sequential array of variables to pass to the theme template.
 */
function bigdaddy_preprocess_page(&$vars) {

  /* PAGE classes
  ---------------------------------------------------------------------- */
  // To add dynamically your own classes use $vars['classes_array'][] = 'my_class';
    
}

/**
 * Override or insert variables into the NODE templates.
 *
 * @param $vars
 *  A sequential array of variables to pass to the theme template.
 */
function bigdaddy_preprocess_node(&$vars) {
  
  /* NODE classes
  ---------------------------------------------------------------------- */
  // To add dynamically your own classes use $vars['classes_array'][] = 'my_class';
  
}

/**
 * Override or insert variables into the BLOCK templates.
 *
 * @param $vars
 *  A sequential array of variables to pass to the theme template.
 */
function bigdaddy_preprocess_block(&$vars) {

  /* BLOCK classes
  ---------------------------------------------------------------------- */
  // To add dynamically your own classes use $vars['classes_array'][] = 'my_class';
  
  
  /* HTML5 tags
  ---------------------------------------------------------------------- */
  // Set Tag for the block wrapper depending on the content (<nav> or <section>)
  if ($vars['block']->module == 'system') {
    $vars['tag'] = 'nav';
  } 
  if ($vars['block']->delta == 'main') {
    $vars['tag'] = 'div';
  }
  else {
    $vars['tag'] = 'div';
  }
  
}

/**
 * Allow themable breadcrumb.
 */
function bigdaddy_breadcrumb($variables) {

  $breadcrumb = $variables['breadcrumb'];
  if (!empty($breadcrumb)) {
    $crumbs = '<ul class="breadcrumb">';
    $array_size = count($breadcrumb);
    $i = 0;
    while ( $i < $array_size) {
      $crumbs .= '<li>' . $breadcrumb[$i] . ' > </li>';
          $i++;
      }
    $crumbs .= '<li class="current-page">'. drupal_get_title() .'</span></ul>';
    return $crumbs;
  }
}

/**
 * Access views elements.
 * 
 * Use $raw_result in your views templates to print all the fiels and add custom markup.
 */
function bigdaddy_preprocess_views_view_unformatted(&$vars) {
  $vars['raw_result'] = $vars['view']->style_plugin->rendered_fields;
}